/**
 *
 * CAbout.cpp 
 *
 * Steve Kemp - skx@tardis.ed.ac.uk
 *
 *  This is the implementation of the about dialog, the main thing this has to do is
 * is to set up the hyperlink controls to point to the correct location.
 *
 */

#include "stdafx.h"
#include "Resource.h"

// The definition of the hyperlink control.
#include "hyperlink.h"
// The protptypes for the about dialog
#include "CAbout.h"
// Version info.
#include "ExecImageVersion.h"

BEGIN_MESSAGE_MAP(CAbout, CDialog)
        //{{AFX_MSG_MAP(CAbout)
        //}}AFX_MSG_MAP
END_MESSAGE_MAP()
    
/////////////////////////////////////////////////////////////////////////////
// CAbout dialog
    
// Constructor
CAbout::CAbout(CWnd* pParent /*=NULL*/)
        : CDialog(CAbout::IDD, pParent)
{
        //{{AFX_DATA_INIT(CAbout)
        // NOTE: the ClassWizard will add member initialization here
        //}}AFX_DATA_INIT
}

// Bind data members for dialog controls
void CAbout::DoDataExchange(CDataExchange* pDX)
{
    CDialog::DoDataExchange(pDX);
        //{{AFX_DATA_MAP(CAbout)
    DDX_Control(pDX, IDC_HYPERLINK, m_HyperLink);	
    DDX_Control(pDX, IDC_HYPERLINK2, m_HyperLink2);	
        //}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CAbout message handlers


BOOL CAbout::OnInitDialog() 
{
  
    CDialog::OnInitDialog();
  
    m_HyperLink.SetURL( "http://www.tardis.ed.ac.uk/~skx/win" );
    m_HyperLink2.SetURL( "mailto:skx@tardis.ed.ac.uk" );

    VersionInfo ver;
	CString version;
	version.Format( "%s %s.", ver.ProductVersion(), __DATE__ );

	SetDlgItemText( IDC_VERSION, version );

    return TRUE;  // return TRUE unless you set the focus to a control
                  // EXCEPTION: OCX Property Pages should return FALSE
}
