// CustomizeDlg.cpp : implementation file
//

#include "stdafx.h"
#include "CustomizeDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCustomizeDlg dialog


CCustomizeDlg::CCustomizeDlg(CWnd* pParent /*=NULL*/)
	: CSubSelectionDlg(CCustomizeDlg::IDD,CCustomizeDlg::IDD2,CCustomizeDlg::IDD3, pParent)
{
	//{{AFX_DATA_INIT(CCustomizeDlg)
	//}}AFX_DATA_INIT
}


void CCustomizeDlg::DoDataExchange(CDataExchange* pDX)
{
	CSubSelectionDlg::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCustomizeDlg)
	DDX_Control(pDX, IDC_CURRENT, m_currentList);
	DDX_Control(pDX, IDC_AVAILABLE, m_availableList);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCustomizeDlg, CSubSelectionDlg)
	//{{AFX_MSG_MAP(CCustomizeDlg)
	ON_BN_CLICKED(IDC_ADD, OnInclude)
	ON_BN_CLICKED(IDC_REMOVE, OnExclude)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCustomizeDlg message handlers

void CCustomizeDlg::SetAvailable( CStringArray *avail )
{
  m_avail.RemoveAll();
  int n = avail->GetSize();

  for( int i =0; i < n; i++ )
  {
    m_avail.Add( avail->GetAt( i ) );
  }
}

void CCustomizeDlg::SetCurrent( CStringArray *current )
{
  m_current.RemoveAll();
  int n = current->GetSize();

  for( int i =0; i < n; i++ )
  {
    m_current.Add( current->GetAt( i ) );
  }
}

/**
  * Initialize the available headers.
  */
void CCustomizeDlg::InitListBox1()
{
  int n = m_avail.GetSize();

  for( int i =0; i < n; i++ )
  {
    m_availableList.AddString( m_avail[ i ] );
  }
}

/**
  * Add the current headers.
  */
void CCustomizeDlg::InitListBox2()
{
  int n = m_current.GetSize();

  for( int i =0; i < n; i++ )
  {
    m_currentList.AddString( m_current[ i ] );
  }
}


CStringArray *CCustomizeDlg::GetEntrys()
{
 
    return( current );
}

void CCustomizeDlg::OnOK() 
{
    current = new CStringArray();
    int n = m_currentList.GetCount();
    
    CString buff;

    for( int i =0; i < n ; i++ )
    {   
        m_currentList.GetText( i, buff );
        current->Add( buff );
    }
	// TODO: Add extra validation here
	
	CSubSelectionDlg::OnOK();
}
