/**
  * Funky class to extract the version information from an executable.
  */

#if !defined(AFX_EXECIMAGEVERSION_H__75CAB01F_DD4B_11D2_84FE_00801E035520__INCLUDED_)
#define AFX_EXECIMAGEVERSION_H__75CAB01F_DD4B_11D2_84FE_00801E035520__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma comment (lib, "version.lib")


class VersionInfo  
{
public:
    VersionInfo();
    VersionInfo(LPCTSTR imageName);
    ~VersionInfo();

    CString ProductName() const;
    CString ProductVersion() const;
    CString CompanyName() const;
    CString Copyright() const;
    CString Comments() const;
    CString FileDescription() const;
    CString FileVersion() const;
    CString InternalName() const;
    CString LegalTrademarks() const;
    CString PrivateBuild() const;
    CString SpecialBuild() const;

private: 
    void InitVer(LPCTSTR imageName);
    CString GetValue(LPCTSTR key) const;

    LPVOID m_ResourceData;
    CString m_LangID;
};

#endif // !defined(AFX_EXECIMAGEVERSION_H__75CAB01F_DD4B_11D2_84FE_00801E035520__INCLUDED_)
